
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="/docs/4.0/assets/img/favicons/favicon.ico">

    <title>KSE – Managemenet</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/4.0/examples/jumbotron/">

    <!-- Bootstrap core CSS -->
	<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <!-- Custom styles for this template -->
    <link href="../../css/speaker.css" rel="stylesheet">
  </head>

  <body>

    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
      <a class="navbar-brand" href="/kse/gui" th:utext="${menulogo}"><img src="/images/wmlogo.png" style="max-height:30px;"/></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse" id="navbarsExampleDefault">
        <ul class="navbar-nav mr-auto" th:utext="${menutext}">
          <li class="nav-item active">
            <a class="nav-link" href="/kse/gui">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/kse/gui/management">Management</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Knowledge</a>
            <div class="dropdown-menu" aria-labelledby="dropdown01">
              <a class="dropdown-item" href="/kse/gui/collections">Collections</a>
              <a class="dropdown-item" href="/kse/gui/searchsite">Sparql</a>
              <a class="dropdown-item" href="/kse/gui/searchsite">Search</a>
            </div>
          </li>
        </ul>
      	<a class="navbar-brand my-2 my-lg-0" href="https://www.dfki.de/web"><img src="/images/logo_dfki.png" style="max-height:35px;"/></a>
      </div>
    </nav>

    <main role="main" class="container">

      <!-- Main jumbotron for a primary marketing message or call to action -->
        <div class="container">
          <h1 class="display-3">KSE – Management</h1>
          <!-- <p><a class="btn btn-primary btn-lg" href="#" role="button">Learn more &raquo;</a></p> -->
        </div>

      <div class="container">
        <!-- Example row of columns -->
        <div class="row">
          <div class="col-lg-6 col-md-6 col-sm-12">
            <h2>User Management</h2>
            <p>Here we will include the management of users in the Graphical User Interface. </p>
            <table class="table">
			  <thead>
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Property</th>
			      <th scope="col">Value</th>
			    </tr>
			  </thead>
			  <tbody>
			    <tr  th:each="user: ${users}">
			      <th scope="row" th:text="${user.id}">1</th>
			      <td th:text="${user.key}">Path</td>
			      <td  th:text="${user.value}">...</td>
			    </tr>
			  </tbody>
			</table>
            <p><a class="btn speaker-btn" href="./management/users" role="button">Edit &raquo;</a></p>
          </div>
          <div class="col-lg-6 col-md-6 col-sm-12">
            <h2>Triple Store</h2>
            <table class="table">
			  <thead>
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Property</th>
			      <th scope="col">Value</th>
			    </tr>
			  </thead>
			  <tbody>
			    <tr  th:each="prop: ${ts_properties}">
			      <th scope="row" th:text="${prop.id}">1</th>
			      <td th:text="${prop.key}">Path</td>
			      <td  th:text="${prop.value}">...</td>
			    </tr>
			  </tbody>
			</table>
            <p><a class="btn speaker-btn" href="./management/config" role="button">Edit &raquo;</a></p>
          </div>
          <div class="col-lg-6 col-md-6 col-sm-12">
            <h2>File System</h2>
            <table class="table">
			  <thead>
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Property</th>
			      <th scope="col">Value</th>
			    </tr>
			  </thead>
			  <tbody>
			    <tr  th:each="prop: ${fs_properties}">
			      <th scope="row" th:text="${prop.id}">1</th>
			      <td th:text="${prop.key}">Path</td>
			      <td  th:text="${prop.value}">...</td>
			    </tr>
			  </tbody>
			</table>
            <p><a class="btn speaker-btn" href="./management/config" role="button">Edit &raquo;</a></p>
          </div>
          <div class="col-lg-6 col-md-6 col-sm-12">
            <h2>Full-text Search Index</h2>
            <table class="table">
			  <thead>
			    <tr>
			      <th scope="col">#</th>
			      <th scope="col">Property</th>
			      <th scope="col">Value</th>
			    </tr>
			  </thead>
			  <tbody>
			    <tr  th:each="prop: ${ti_properties}">
			      <th scope="row" th:text="${prop.id}">1</th>
			      <td th:text="${prop.key}">Path</td>
			      <td  th:text="${prop.value}">...</td>
			    </tr>
			  </tbody>
			</table>
            <p><a class="btn speaker-btn" href="./management/config" role="button">Edit &raquo;</a></p>
          </div>
        </div>

        <hr>

      </div> <!-- /container -->

    </main>

    <footer class="footer">
      <div class="container">
        <span class="text-muted" th:utext="${footertext}">&copy; DFKI GmbH 2022</span>
      </div>
    </footer>
<!--     <footer class="container">
      <p>&copy; DFKI GmbH 2020</p>
    </footer> -->

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>
</html>
